Class RatingLevel
	Public ID
	Public Description
	Public Property Get ImageUrl
		If ID < 1 Or ID > 8 Then ImageUrl = "/i/rating/0.gif" Else ImageUrl = "/i/rating/" & ID & ".gif"
	End Property
	
	Private Sub Class_Initialize() : Clear : End Sub
	Private Sub Clear() : ID=0 : Description = "Not Yet Rated" : End Sub
	Private Sub SetProperties(a,b) : ID = a : Description = b : End Sub
	
	Public Function ToString()
		If ID = 0 Then ToString = Description _
		Else ToString = ID & " - " & Description
	End Function
	Public Sub Load(RatingLevelID)
		Clear
		Select Case CInt(RatingLevelID)
			Case 1 : SetProperties 1,"stay away. far, far away"
			Case 2 : SetProperties 2,"good ... for you to poop on"
			Case 3 : SetProperties 3,"choose your own boredom"
			Case 4 : SetProperties 4,"slightly more fun than homework"
			Case 5 : SetProperties 5,"not the best, certainly not the worst"
			Case 6 : SetProperties 6,"it's worth every cent"
			Case 7 : SetProperties 7,"even better than Reeses' Cups&reg;"
			Case 8 : SetProperties 8,"it will bring you enlightenment"
		End Select
	End Sub
End Class

Function LoadAllRatingLevels
	Dim i,RatingLevels(7)
	For i = 0 To UBound(RatingLevels)
		Set RatingLevels(i) = New RatingLevel
		RatingLevels(i).Load(i+1)
	Next
	LoadAllRatingLevels = RatingLevels
End Function