<% Option Explicit %>
<!-- #include file="../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../Includes/userRoles.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/logger.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/CheckHeader.vbs"></script>
<%
CheckHeader "ResolveBug.aspx"

If Not IsInRole("Forums Bugs Administrator") Then Response.Redirect "./"

Dim Target
	If IsEmpty(Request("target")) Then
		Target = "./"
	Else
		Target = Request("target")
	End If

Dim MessageId : MessageId = CLng(Request("MessageId"))

If Not IsEmpty(Request.Form("resolve")) Then

	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = _
			"INSERT INTO [Forums_Bug_Resolutions] ([Message_Id], [Resolution_Comments]) " & _
			" VALUES(?,?)"
		.Parameters.Append .CreateParameter("Message_Id", adInteger, adParamInput, 4, MessageId)
		.Parameters.Append .CreateParameter("Resolution_Comments", adLongVarChar, adParamInput, 2147483647, Request.Form("ResolutionComments"))		
		.Execute
	End With
	
	Dim posterName
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = _
			"SELECT * " & _
			"  FROM [Forums_Posts_Expanded] " & _
			" WHERE [Message_Id] = ? AND [Left] = 1" 
		.Parameters.Append .CreateParameter("Message_Id", adInteger, adParamInput, 4, MessageId)
		With .Execute
			posterName = .Fields("Username")
		End With
	End With
	
	'log it
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandType = adCmdStoredProc
		.CommandText = "[ChooseYourStory].[dbo].[User_Notifications_SendNotification]"
		.Parameters.Append .CreateParameter("@User_Username", adVarChar, adParamInput, 30, posterName)
		.Parameters.Append .CreateParameter("@NotificationType_Cd", adVarChar, adParamInput, 8, "BUGRSLV")
		.Parameters.Append .CreateParameter("@Display_Text", adVarChar, adParamInput, 25, Null)
		.Parameters.Append .CreateParameter("@MoreInfo_Text", adVarChar, adParamInput, 250, Request.Form("ResolutionComments"))
		.Parameters.Append .CreateParameter("@MoreInfo_Url", adVarChar, adParamInput, 250, "/forums/message.aspx?MessageId=" & MessageId)
		.Execute
	End With

	Response.Redirect Target
End If

%>
<div id="mainContent">

<h1 style="padding-bottom:15px"><a href="./">Forums</a> &raquo; Administration</h1>

<h2 class="tableHead" style="padding:2px">Resolve Bug Post</h2>
<%
Dim PostSubject
With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Application("ConnectionString")
	.CommandText = _
		"SELECT * " & _
		"  FROM [Forums_Posts_Expanded] " & _
		" WHERE [Message_Id] = ? AND [Left] = 1" 
	.Parameters.Append .CreateParameter("Message_Id", adInteger, adParamInput, 4, MessageId)
	With .Execute
		If Not .EOF Then
		PostSubject = .Fields("Subject")
	%><div style="margin:10px;border:1px solid black">
		  <div class="back1Background">
			<table cellpadding="5" cellspacing="0" border="0"><tr>
			  <%If Not IsNull(.Fields("Avatar Image Id")) Then%><td align="left">
				<img style="float:left" height="45" width="45" src="/i/?<%=.Fields("Avatar Image Id")%>"/>
			  </td><%End If%>
			  <td valign="top">
				<h2><%=.Fields("Subject")%></h2>
				<span class="smallerText">
				  by <%=.Fields("Username")%> 
				  on <%=FormatDateTime(.Fields("Post_Date"),2)%>&nbsp;<%=FormatDateTime(.Fields("Post_Date"),4)%>&nbsp;EST
				</span>
			  </td>
			</tr></table>
		  </div>
		  <p style="margin:0px;padding:15px;"><%=.Fields("Body")%></p>
		</div><%
			End If
		End With
	End With
%>

<form method="post">
<div style="margin-top:10px;">

  <p style="padding:10px;font-size:10pt" class="error">
  <label>Resolution Comments</label><br/>
  <textarea rows="6" cols="60" name="ResolutionComments"></textarea>
<br/><br/>
  	This will close the bug and not allow any further posting. Please ONLY resolve this thread if this is an actual bug or problem. If this was due to user error or ignorance, please delete or move the thread instead.
  </p>

  <br/>
  <input type="submit" name="resolve" value="Resolve Bug" onclick="if (this.form.ResolutionComments.value=='') {alert('Resolution Comments are required');return false;}">
  &nbsp;
  <input type="button" onClick="location=this.form.elements.target.value;" value="Cancel">
  <input type="hidden" name="MessageId" value="<%=MessageId%>">
  <input type="hidden" name="target" value="<%=target%>">
  </div>
</div>
</form>

<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>