<% Option Explicit %>
<!-- #include file="../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../Includes/helperFunctions.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/SessionValidator.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/CheckHeader.vbs"></script>
<script runat="server" language="jscript" src="../Includes/UrlEncoding.js"></script>
<% CheckHeader "Saves.aspx"
	ValidateSession
	If Not IsEmpty(Request.QueryString("deletesave")) Then
		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Application("ConnectionString")	
			.CommandText = "DELETE FROM [Game Saves] WHERE [Game Id] = ? AND [Username] = ?"
			.Parameters.Append .CreateParameter("GameID", adInteger, adParamInput, 8, Request.QueryString("deletesave"))
			.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 20, Session("Username"))
			.Execute
		End With	
	End IF
%>

<h1><a href="Default.aspx">My Stuff</a> &raquo; Saves</h1>

	  <div id="maincontent">
	<p>Below you will find your game saves. To save your progress in a game, in the game player, go to the Options menu in the top-right corner
	and select Save.</p>
          <table border="0" cellpadding="3" cellspacing="0">
<% 

With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Application("ConnectionString")
	.CommandText = _
		"SELECT G.[Game Id], [Title], [Save Date] " & _
		"  FROM [Game Saves] S " & _
		"       INNER JOIN [Games] G " &_
		"               ON G.[Game Id] = S.[Game Id] " & _
		" WHERE S.[Username] = ? " & _
		"ORDER BY [Title] DESC"
	.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 20, Session("Username") )
	With .Execute
		If .EOF Then
%>
            <tr> 
              <td colspan="3" class="error">No saved games were found.</td>
            </tr>
<%

		Else
%>
            <tr> 
              <td colspan="3"><img src="../i/spacer.gif" width="100%" height="15" /></td>
            </tr>
            <tr> 
              <td class="smallerText" style="font-weight:bold">Date</td>
              <td class="smallerText" style="font-weight:bold">Game</td>
              <td class="smallerText">&nbsp;</td>
            </tr>
<%
		End If
		Do While Not .EOF

			Dim bgcolor : If IsEmpty(bgcolor) Then bgcolor = " bgcolor=""#FFFFDD""" Else bgcolor = Empty
%>
            <tr <%=bgcolor%>> 
              <td class="smallerText"><%=FormatDateTime(.Fields("Save Date").Value,2)%></td>
              <td class="smallerText"><a href="../game/?<%=UrlEncode(.Fields("Title").Value)%>"><%=.Fields("Title").Value%></a></td>
              <td class="smallerText">
			  &nbsp;
			    <a href="#" onClick="<%=GamePlayerSavedPopupLink(.Fields("Game Id").Value)%>">[play]</a>
				&nbsp;
			    <a href="?deletesave=<%=.Fields("Game Id").Value%>" onClick="return (confirm('Are you sure you want to delete this save?'))">[delete]</a>
			  </td>
            </tr>
<%
			.MoveNext
		Loop
	End With
End With
%>
</table>
<p>If you saved a game and can't see it here, the storygame may've been unpublished.</p>
</div>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>
