<% Option Explicit %>
<!-- #include file="../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../Includes/helperFunctions.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/CheckHeader.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/html.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/SessionValidator.vbs"></script>
<script runat="server" language="jscript" src="../Includes/urlencoding.js"></script>
<% 
CheckHeader "Comments.aspx"
ValidateSession 

 %>

<div <% If Request.QueryString("view")="webpart" Then%>style="height:400px; overflow:auto;"<%end if %>>

<% If Request.QueryString("view")<>"webpart" Then%>
<p style="margin-bottom:10px;">The last fifty comments were left by people who played your game. If you see an inappropriate comment, 
please <a href="../ContactUs/">Contact Us</a> and tell us which game it is on.</p>
<% End If %>

<% 

With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Application("ConnectionString")
	.CommandText = _
		"SELECT TOP 50 [Date], [Name], [Score], [Commenter_Username], [Title], [Email], [Comment], [Game Type] " & _
		"  FROM [Comments] C " & _
		"       INNER JOIN [Games] G " &_
		"               ON G.[Game Id] = C.[Game Id] " & _
		" WHERE G.[Game Id] IN " & _
        "   (SELECT [Game Id] FROM [Games] WHERE Username = ? " & _
        "    UNION ALL " & _
        "    SELECT [Game Id] FROM [Game Coauthors] WHERE [Active Indicator]='Y' AND Username = ?) " & _
		"ORDER BY [Date] DESC"
	.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 20, Session("Username") )
	.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 20, Session("Username") )

	Dim Alt : Alt = True
	With .Execute
		Do While Not .EOF
		Response.Write "<div style=""padding:5px;border-bottom:1px solid #c0c0c0"
		'If Alt Then Response.Write "background-color:#c0c0c0"
		Response.Write """>"
		Alt = Not Alt
		
		Response.Write SafeHTMLEncode(.Fields("Comment").value)

		Response.Write "<div style='margin-left:10px;font-size:xx-small'>"
		Response.Write "<a href=""../game/?" & UrlEncode(.Fields("Title")) & """>" & .Fields("Title") & "</a><br />"
		If IsNull(.Fields("Commenter_Username")) Then
            Response.Write .Fields("Name") & " "
		Else
			Response.Write "<a href='/Member/?Username=" & .Fields("Name") & "'>" & .Fields("Name") & "</a> "
		End If
	  If .Fields("Game Type")="Advanced" Then Response.Write " (Score of " & .Fields("Score") & ")<br/>"
	  Response.Write .Fields("Date")
    Response.Write "</div>"
    
    Response.Write "</div>"
    
			.MoveNext
		Loop
	End With
End With
%>			


</div>

<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>
